# std::polar(std::complex)

From cppreference.com
< cpp‎ | numeric‎ | complex

Defined in header `<complex>` |  |
template< class T > complex<T> polar( const T& r, const T& theta = T()); |  |

Returns a complex number with magnitude `r` and phase angle `theta`.

The behavior is undefined if `r` is negative or NaN, or if `theta` is infinite.

### Parameters

r | - | magnitude
theta | - | phase angle

### Return value

a complex number determined by `r` and `theta`

### Defect reports

The following behavior-changing defect reports were applied retroactively to previously published C++ standards.

DR | Applied to | Behavior as published | Correct behavior
--- | --- | --- | ---
LWG 2459 | C++98 | behavior unclear for some inputs | made undefined
LWG 2870 | C++98 | default value of parameter theta not dependent | made dependent

### See also

abs(std::complex) | returns the magnitude of a complex number (function template)
arg | returns the phase angle (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/complex/polar&oldid=104290"